Name:           icemon
Version:        3.1.0
Release:        6%{?dist}
Summary:        Icecream GUI monitor

License:        GPLv2+
URL:            http://kfunk.org/tag/icemon/
Source0:        https://github.com/icecc/icemon/archive/v3.1.0.tar.gz

# This is to account for Fedora's naming of db2x_docbook2man
# See https://github.com/icecc/icemon/pull/32 for upstream status
Patch0:         DocBook2Man-Naming.patch

BuildRequires:    gcc-c++
BuildRequires:    qt5-devel
BuildRequires:    icecream-devel
BuildRequires:    docbook2X
BuildRequires:    cmake
BuildRequires:    libcap-ng-devel
BuildRequires:    lzo-devel
BuildRequires:    desktop-file-utils
BuildRequires:    docbook-dtds

Requires:    hicolor-icon-theme

%description
A GUI monitor for Icecream, a distributed compiler system

%prep
%autosetup -p1


%build
%cmake .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# Fix rpmlint warning about compressed SVG
# Since the upstream package uses the compressed SVG as the source, it is
# easier to fix it here than patch
mv %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/icemon.{svgz,svg.gz}
gunzip %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/icemon.svg.gz

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%check
ctest -V %{?_smp_mflags}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%{_bindir}/%{name}
%{_datadir}/applications/icemon.desktop
%{_datadir}/icons/hicolor/22x22/apps/icemon.png
%{_datadir}/icons/hicolor/16x16/apps/icemon.png
%{_datadir}/icons/hicolor/48x48/apps/icemon.png
%{_datadir}/icons/hicolor/128x128/apps/icemon.png
%{_datadir}/icons/hicolor/32x32/apps/icemon.png
%{_datadir}/icons/hicolor/scalable/apps/icemon.svg

%license COPYING
%doc %{_mandir}/man1/icemon.1.gz



%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jul 30 2017 Michael Cullen <michael@cullen-online.com> - 3.1.0-5
- Removed useless BuildRequires on gzip
- Changed BuildRequires hicolor-icon-theme to be Requires since it is a runtime dependency
* Fri Jul 28 2017 Michael Cullen <michael@cullen-online.com> - 3.1.0-4
- Added BuildRequires on gcc-c++
* Fri Jul 28 2017 Michael Cullen <michael@cullen-online.com> - 3.1.0-3
- Decompressed SVG file to fix rpmlint warning
- Added BuildRequires on docbook-dtds to fix build error without network
- Changed license to GPLv2+ according to file headers
- Added calls to gtk-update-icon-cache
* Thu Jul 27 2017 Michael Cullen <michael@cullen-online.com> - 3.1.0-2
- Found a better description for spec file
* Thu Jul 27 2017 Michael Cullen <michael@cullen-online.com> - 3.1.0-1
- Initial Packaging

